# How-to Guides Introduction

The following how-to guides provide steps to work through several common real-world problems that Mimi is targeted at solving. They are a bit less detailed than the tutorials, and are thus targeted at a user with some level of experience with Mimi (likely obtained through moving through some or all of the tutorials). 

If you find a bug in these guides, or have a clarifying question or suggestion, please reach out via Github Issues or our [Mimi Framework forum](https://forum.mimiframework.org).  We welcome your feedback.

## Available How-to Guides

[How-to Guide 1: Construct and Run a Model](@ref) 


[How-to Guide 2: View and Explore Model Results](@ref) 


[How-to Guide 3: Conduct Monte Carlo Simulations and Sensitivity Analysis](@ref)


[How-to Guide 4: Work with Timesteps](@ref)


[How-to Guide 5: Work with Parameters and Variables](@ref)


[How-to Guide 6: Update the Time Dimension](@ref)


[How-to Guide 7: Port to Mimi v0.5.0](@ref)


[How-to Guide 8: Port from (>=) Mimi v0.5.0 to Mimi v1.0.0](@ref)


[How-to Guide 9: Port to New Parameter API](@ref)
